Subject: duplicated u32 filters in tc show output

From: Abhijit Menon-Sen <[email-masked]>
Date: Sat, 6 Oct 2007 18:40:56 +0530

The HTB user guide (http://luxik.cdi.cz/~devik/qos/htb/manual/userg.htm)
says the following:

    Note: The U32 classifier has an undocumented design bug which causes
    duplicate entries to be listed by "tc filter show" when you use U32
    classifiers with different prio values.

What exactly is this bug? (I'm seeing its effects, i.e. the duplicates,
and it's making my life a little difficult while trying to parse the tc
output.)

-- ams